// Copyright (C) 2009 Playedit.

// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include "config.h"

#include "app_window.h"

#include <glibmm/i18n.h>
#include <gtkmm/application.h>

int main(int argc, char **argv)
{
	Glib::RefPtr<Gtk::Application> program = Gtk::Application::create(argc, argv, "org.playedit.editor");

#if ENABLE_NLS
	bindtextdomain(GETTEXT_PACKAGE, PLAYEDITLOCALEDIR);
	bind_textdomain_codeset(GETTEXT_PACKAGE, "UTF-8");
	textdomain(GETTEXT_PACKAGE);
#endif

	// The main window
	Playedit::App app_window;

	// Run the main loop
	program->run(app_window);

	return 0;
}
